diff --git a/spring-boot-project/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/servlet/DispatcherServletAutoConfigurationTests.java b/spring-boot-project/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/servlet/DispatcherServletAutoConfigurationTests.java
index bd8c6e4e15a..da0397335f1 100644
--- a/spring-boot-project/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/servlet/DispatcherServletAutoConfigurationTests.java
+++ b/spring-boot-project/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/servlet/DispatcherServletAutoConfigurationTests.java
@@ -171,7 +171,7 @@ public void dispatcherServletDefaultConfig() {
 			DispatcherServlet dispatcherServlet = context
 					.getBean(DispatcherServlet.class);
 			assertThat(dispatcherServlet).extracting("shouldHandleFailure")
-					.containsExactly(true);
+					.containsExactly(false);
 			assertThat(dispatcherServlet).extracting("throwExceptionIfNoHandlerFound")
 					.containsExactly(false);
 			assertThat(dispatcherServlet).extracting("dispatchOptionsRequest")
